Solved exim not start

eldorado

Verified User
Joined
Aug 14, 2016
Messages
8
i I couldn't sent email from squirrelMail, therefore i search net and found this commands:
i go to :
Code:
/usr/local/directadmin/custombuild

and then i use this commands:

Code:
./build dovecot
./build todovecot
./build exim


but, exim not start and this error occurred:
Code:
Exim configuration error in line 1 of /etc/exim.srs.conf: 
main option "srs_config" unknown

how can i fix this problem.

my centos version 6.7
 
Last edited:

Richard G

Verified User
Joined
Jul 6, 2008
Messages
7,705
Location
Maastricht
Try this.
./build set exim yes
./build set eximconf yes
./build exim
./build exim_conf

That should take care of the problem.
 

Richard G

Verified User
Joined
Jul 6, 2008
Messages
7,705
Location
Maastricht
It should be default at 4.5, but one never knows, it's better to be sure indeed.
+1 for stopping squirrelmail and start using Roundcube.
 

eldorado

Verified User
Joined
Aug 14, 2016
Messages
8
Try this.
./build set exim yes
./build set eximconf yes
./build exim
./build exim_conf

That should take care of the problem.
i try this but when i use this command:

Code:
./build exim

this error appears:
Code:
Cannot find /usr/include/db.h.  Please install db.h                                                         
yum install db4-devel perl-ExtUtils-Embed

when i try to use this command:
Code:
yum install db4-devel perl-ExtUtils-Embed

this error appears:
Code:
Loaded plugins: fastestmirror                                                                               
Setting up Install Process                                                                                   
Loading mirror speeds from cached hostfile                                                                   
YumRepo Error: All mirror URLs are not using ftp, http[s] or file.                                           
 Eg. Invalid release/repo/arch combination/                                                                 
removing mirrorlist with no valid mirrors: /var/cache/yum/i386/6/centos-sclo-rh/mirrorlist.txt               
Error: Cannot find a valid baseurl for repo: centos-sclo-rh


i search the net, and understand that i must change yum repo.
i change baseurl in CentOS-Base.repo to:
Code:
baseurl=http://vault.centos.org/6.7/os/$basearch

but when i save this file and use this commands:
Code:
yum clean all
yum update

this error appears:
Code:
Loaded plugins: fastestmirror                                                                               
Setting up Update Process                                                                                   
Loading mirror speeds from cached hostfile                                                                   
YumRepo Error: All mirror URLs are not using ftp, http[s] or file.                                           
 Eg. Invalid release/repo/arch combination/                                                                 
removing mirrorlist with no valid mirrors: /var/cache/yum/i386/6/centos-sclo-rh/mirrorlist.txt               
Error: Cannot find a valid baseurl for repo: centos-sclo-rh
 

Richard G

Verified User
Joined
Jul 6, 2008
Messages
7,705
Location
Maastricht
That is because Centos 6 is EOL for some time.

Try this:
curl https://www.getpagespeed.com/files/centos6-eol.repo --output /etc/yum.repos.d/CentOS-Base.repo

After that, again yum clean all and then
yum install db4-devel perl-ExtUtils-Embed

Otherwise, pay for and use cloudlinux or even better, get a new server/vps with Centos 7.9 and transfer everything.
 

eldorado

Verified User
Joined
Aug 14, 2016
Messages
8
That is because Centos 6 is EOL for some time.

Try this:
curl https://www.getpagespeed.com/files/centos6-eol.repo --output /etc/yum.repos.d/CentOS-Base.repo

After that, again yum clean all and then
yum install db4-devel perl-ExtUtils-Embed

Otherwise, pay for and use cloudlinux or even better, get a new server/vps with Centos 7.9 and transfer everything.
i use this , but not working for me
i search and find this :

Code:
echo “https://vault.centos.org/6.10/os/x86_64/” > /var/cache/yum/x86_64/6/base/mirrorlist.txt
echo “http://vault.centos.org/6.10/extras/x86_64/” > /var/cache/yum/x86_64/6/extras/mirrorlist.txt
echo “http://vault.centos.org/6.10/updates/x86_64/” > /var/cache/yum/x86_64/6/updates/mirrorlist.txt
echo “http://vault.centos.org/6.10/sclo/x86_64/rh” > /var/cache/yum/x86_64/6/centos-sclo-rh/mirrorlist.txt
echo “http://vault.centos.org/6.10/sclo/x86_64/sclo” > /var/cache/yum/x86_64/6/centos-sclo-sclo/mirrorlist.txt

i use above commands but instead of 6.10 i use 6.7 and instead of x86_64 i use i386

therefor i use this:
Code:
echo “https://vault.centos.org/6.7/os/i386/” > /var/cache/yum/i386/6/base/mirrorlist.txt
echo “http://vault.centos.org/6.7/extras/i386/” > /var/cache/yum/i386/6/extras/mirrorlist.txt
echo “http://vault.centos.org/6.7/updates/i386/” > /var/cache/yum/i386/6/updates/mirrorlist.txt
echo “http://vault.centos.org/6.7/sclo/i386/rh” > /var/cache/yum/i386/6/centos-sclo-rh/mirrorlist.txt
echo “http://vault.centos.org/6.710/sclo/i386/sclo” > /var/cache/yum/i386/6/centos-sclo-sclo/mirrorlist.txt

but for 4th command,
Code:
echo “http://vault.centos.org/6.7/sclo/i386/rh” > /var/cache/yum/x86_64/6/centos-sclo-rh/mirrorlist.txt
an error occurred again

i understand that there isn't any file in this url->http://vault.centos.org/6.7/sclo/i386/rh
therefore i use that same url for this line:
Code:
echo “http://vault.centos.org/6.7/sclo/x86_64/rh” > /var/cache/yum/x86_64/6/centos-sclo-rh/mirrorlist.txt

then i use
Code:
yum update

yum update successfully.

and then i try to install
Code:
yum install db4-devel perl-ExtUtils-Embe

new problem occurred:
Code:
No package db4-devel available.                                                                         
No package perl-ExtUtils-Embed available.
 

eldorado

Verified User
Joined
Aug 14, 2016
Messages
8
Those packages are maybe in the EPEL or PowerTools repository.

yum repolist

for

Code:
yum install db4-devel perl-ExtUtils-Embed

i use this command:
Code:
wget https://public-yum.oracle.com/public-yum-ol6.repo -O /etc/yum.repos.d/public-yum-ol6.repo
yum install --nogpgcheck -y db4-devel

*important: if you are not able to connect to oracle , please use [shecan]

i install db4-devel successfully

now i must install perl-ExtUtils-Embed :( :)
 

eldorado

Verified User
Joined
Aug 14, 2016
Messages
8
for install ExtUtils-Embed i use this:

Code:
wget http://files1.directadmin.com/services/all/perl_modules/ExtUtils-Embed-1.14.tar.gz
tar xvzf ExtUtils-Embed-1.14.tar.gz
cd ExtUtils-Embed-1.14
perl Makefile.PL
make
make install

but in line 4 an error occurred. so i should install perl-devel and perl-ExtUtils-MakeMaker. so i use this commands:
Code:
yum install --nogpgcheck  perl-devel
yum install --nogpgcheck  perl-ExtUtils-MakeMaker
*if don't use --nogpgcheck another error occurred. so use this option.

after this, all of dependencies are installed successfully.

now i go to /usr/local/directadmin/custombuild and again run this command:
Code:
./build exim

the exim successfully run. :)

i test squirrelMail, i can send email from squirrelMail, but i can't receive emalis. :(
 

Richard G

Verified User
Joined
Jul 6, 2008
Messages
7,705
Location
Maastricht
Being able to send, but not receive, can be caused by another issue.

Again, stop using Squirrelmail and install Roundcube. I liked Squirrel more too, but... well....

You have to check the logs anyway why you can't receive mails, or error notices from mail programs.
We can't do anything for you without error notices to start some place.
 

eldorado

Verified User
Joined
Aug 14, 2016
Messages
8
Being able to send, but not receive, can be caused by another issue.

Again, stop using Squirrelmail and install Roundcube. I liked Squirrel more too, but... well....

You have to check the logs anyway why you can't receive mails, or error notices from mail programs.
We can't do anything for you without error notices to start some place.
when i send an email from gmail to myserver mail, this error appears:

Code:
The response from the remote server was:

550 authentication required
i also install Roundcube , but it is like Squirrelmail, both have that problem and not receive any email and error 550 authentication appears.
 

Richard G

Verified User
Joined
Jul 6, 2008
Messages
7,705
Location
Maastricht
when i send an email from gmail to myserver mail, this error appears:
Do you use external MX addresses for the domain you are sending to?

If not. Check your MX page and make sure that the option "Use this server to handle my emails." is checked for that domain.
 

eldorado

Verified User
Joined
Aug 14, 2016
Messages
8
Do you use external MX addresses for the domain you are sending to?

If not. Check your MX page and make sure that the option "Use this server to handle my emails." is checked for that domain.
the checkbox was unchecked
when i check it, new error occurred when i sent email:
Code:
550 No such recipient here
 

Richard G

Verified User
Joined
Jul 6, 2008
Messages
7,705
Location
Maastricht
That would mean the email address does not exist. There are some topics about this on the forum, you might find a solution in there if the email address does exist.
 

eldorado

Verified User
Joined
Aug 14, 2016
Messages
8
That would mean the email address does not exist. There are some topics about this on the forum, you might find a solution in there if the email address does exist.
thanks.

[solve]

mx Record was the reason :)
i must check the local checkbox

with best regards.
 
Top